Package com.plannaplan.services

# Class EmailService

java.lang.Object
com.plannaplan.services.EmailService

    @Service
    public class EmailService
    extends java.lang.Object

Service to send emails

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`EmailService()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `sendAcceptationResult​(User user, EmailAcceptedData data)` | sends email with infromation about accepted groups
`void` | `sendExchangesResults​(EmailExchangesData data)` | method to send email for students whose groups were swaped
`void` | `sendMail​(java.lang.String destination, java.lang.String message)` | send simple text email

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmailService

public EmailService()

## Method Details

### sendMail

public void sendMail​(java.lang.String destination, java.lang.String message)
send simple text email

Parameters:
  `destination` - destitnaion mail
  `message` - text to be send

### sendAcceptationResult

public void sendAcceptationResult​(User user, EmailAcceptedData data)
sends email with infromation about accepted groups

Parameters:
  `user` - user to send a mail
  `data` - EmailAcceptedData instance containing informations about accepted and removed groups

### sendExchangesResults

public void sendExchangesResults​(EmailExchangesData data)
method to send email for students whose groups were swaped

Parameters:
  `data` - EmailExchangesData instance that contains pair of datas user and list of performed exhanges